var fs = require('fs');
var path = require('path');
var rootdir = process.argv[2];

console.log("res_message rootdir " + rootdir)

if (rootdir && process.argv[4] === 'cordova-plugin-colleague') {
    try {
        var fullfilenPath = path.join(rootdir, '../platforms/android/res_colleague');
        console.log("res_colleague dirs path " + fullfilenPath)
        if (fs.existsSync(fullfilenPath)) {
            console.log("res_colleague dirs exits")
            deleteAll(fullfilenPath)
        } else {
            console.log("res_colleague dirs don't exits")
        }
    } catch (e) {
        console.log(e)
    }
    function deleteAll(path) {
        var files = [];
        if(fs.existsSync(path)) {
            files = fs.readdirSync(path);
            files.forEach(function(file, index) {
                var curPath = path + "/" + file;
                if(fs.statSync(curPath).isDirectory()) { // recurse
                    deleteAll(curPath);
                } else { // delete file
                    fs.unlinkSync(curPath);
                }
            });
            fs.rmdirSync(path);
        }
    }
}


