var exec = require('cordova/exec');

/** 
 * 同事圈插件
 */
var MupColleaguePlugin = function(){};

/**
 * 初始化基础库，如果初始化过不需要再度初始化
 * @param  {} successCallback
 * @param  {} errorCallback
 * @param initParams 初始化信息 server、imgServer、wsServer、mupId、cookie、ccid、 ccName;
 * @param userInfo 用户信息
 */
MupColleaguePlugin.initBasePlugin = function (successCallback, errorCallback, initParams, userInfo) {
    exec(successCallback, errorCallback, "MupColleaguePlugin", "initBasePlugin", [initParams, userInfo]);
};

/**
 * 初始化圈
 * @param  {} successCallback
 * @param  {} errorCallback
 */
MupColleaguePlugin.init = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, "MupColleaguePlugin", "init", "");
};

/**
 * 打开圈主页
 */
MupColleaguePlugin.open = function (successCallback, errorCallback, openParams) {
    exec(successCallback, errorCallback, "MupColleaguePlugin", "open", "");
};

module.exports = MupColleaguePlugin;